Bug 426026 - Review Request: gnome-menu-extended - Gnome Menu with KDE directory
Review Request: gnome-menu-extended - Gnome Menu with KDE directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-12-17 16:04 EST by Martin-Gomez Pablo
Modified: 2009-07-11 12:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 12:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin-Gomez Pablo 2007-12-17 16:04:39 EST
Spec URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended.spec
SRPM URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended-0.6.8-2.fc8.src.rpm
Description: Gnome Menu with KDE and OpenOffice.org submenus for Gnome 2.10 or later.

My second package based on the spec of the developer. Coming from an idea of the Wish List.
Comment 1 Mamoru TASAKA 2007-12-18 08:49:23 EST
Well, actually I once looked into gnome-menu-extended and I got at
a loss about what to package this as rpm style because:

As you do currently, this moves %{_sysconfdir}/xdg/menus/applications.menu.
After that $ rpm -V redhat-menus should complain.
Moreover, as %{_sysconfdir}/xdg/menus/applications.menu is marked as
%config (not %config(noreplace)) by redhat-menus, when redhat-menus is upgraded
this file is overwritten (I think this behavior is correct), which means
applications.menu installed by gnome-menu-extended will be deleted.

We must think the way in which we don't have to overwrite applications.menu
(is it possible??)
Comment 2 Ariszló 2008-01-14 02:37:51 EST
Release 0.7 no longer overwrites /etc/xdg/menus/applications.menu at the 
expense of requiring more user interaction:

http://gtk-apps.org/content/show.php?content=73513

In this release, each user may individually modify the menu by clicking on 
System/Preferences/Add KDE Menu, which pops up a terminal and, if the user 
agrees, it copies /usr/share/gnome-menu-extended/replace-fedora.menu into 
~/.config/menus/applications.menu (after backing up user's Alacarte-modified 
menu if there is any). It also replaces "Add KDE Menu" with "Restore 
Applications Menu" in System/Preferences.
Comment 3 Mamoru TASAKA 2008-01-14 07:30:47 EST
(In reply to comment #2)
<all snip>

Well, this seems to be accepted. I want to try 0.7 to check it in detail.
Comment 4 Mamoru TASAKA 2008-01-30 13:41:40 EST
ping?
Comment 5 Martin-Gomez Pablo 2008-02-05 17:33:15 EST
Sorry to answer just now but the package has been a little difficult to be
"perfect". I've replace the "cp" command by install, I don't know it do it right
or not. However, I've a problem yet, the entries "Add KDE menu" and   "Restore
Applications Menu" in same time in the menu. (I'm not sure is it normal but,
putting the KDE menu, it's restore the pirut entry which I've earsed)

Spec URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended.spec
SRPM URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended-0.7-1.fc8.src.rpm
Comment 6 Ariszló 2008-02-07 09:14:09 EST
(In reply to comment #5)
> However, I've a problem yet, the entries "Add KDE menu" and   "Restore
> Applications Menu" in same time in the menu.

There would only be one of them at a time if you had not renamed 
gnome-menu-extended.desktop as fedora-gnome-menu-extended.desktop.

This is how it works upstream.  A user first only sees "Add KDE menu" 
from /usr/share/applications/gnome-menu-extended.desktop.  Then when the user 
adds the KDE submenu, gnome-menu-extended.sh will 
copy /usr/share/gnome-menu-extended/gnome-menu-restore.desktop into 
~/.local/share/applications, renamed as gnome-menu-extended.desktop.  A 
desktop file in ~/.local/share/applications will hide a desktop file of the 
same name in /usr/share/applications so the user will now see "Restore 
Applications Menu" instead of "Add KDE menu".

If you rename the file in /usr/share/applications then the file copied into 
~/.local/share/applications will no longer hide it, so you will see both "Add 
KDE menu" and "Restore Applications Menu".

Solution: do not rename gnome-menu-extended.desktop.
Comment 7 Mamoru TASAKA 2008-02-16 11:39:14 EST
Well, then would you try
----------------------------------------------------------------
desktop-file-install --vendor=""                                 \
       --dir=$RPM_BUILD_ROOT%{_datadir}/applications    \
       applications/%{name}.desktop  
----------------------------------------------------------------
as suggested by Ariszlo (sorry on my browser I cannot see the last character
of your name), Martin?
Comment 8 Martin-Gomez Pablo 2008-02-16 13:48:19 EST
Well, I've tried to not rename gnome-menu-extended.desktop. Whereas the desktop
is  installed in the right path, he doesn't appear in the menu nor in Alacarte
without any reason. I've update the previous files, so you can use the links
which I've give previously. 
Comment 9 Ariszló 2008-02-18 09:21:34 EST
You have a typo at lines 28 and 96 in the spec: gnome-extended-menu.sh should be
gnome-menu-extended.sh
Comment 10 Mamoru TASAKA 2008-02-18 12:38:06 EST
By the way when you upload the new srpm/spec please change the release
number every time you modify your spec file, and post the URL where
you uploaded them on this bug so that we can find your newest spec/srpm
easily.
Comment 11 Martin-Gomez Pablo 2008-02-18 16:41:41 EST
Ariszlo> Thanks, it's know run perfectly (well, but the software still need to
be improve)

Mamoru> Sorry, it's part of my laziness but I swear that I don't do it again.
There are the uploaded links :

Spec URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended.spec
SRPM URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended-0.7-2.fc8.src.rpm
Comment 12 Ariszló 2008-02-18 17:05:30 EST
(In reply to comment #11)
Pablo, thanks for working so hard on the package. The src.rpm is fine now but
the spec still has gnome-extended-menu.sh.

Comment 13 Mamoru TASAKA 2008-02-22 12:42:33 EST
Umm..

rpm scriptlet (%post, %postun...) must not handle files under user's
home directory. User may customize their desktop menu entry by their
way and removing them on uninstall of this rpm is not desired.
Comment 14 Ariszló 2008-02-22 14:59:14 EST
(In reply to comment #13)

OK.  Then do not restore user's original menu (remove the for ... done section
from the spec).  However, keeping gnome-menu-extended.desktop in
~/.local/share/applications after removing what it is supposed to launch is not
a good idea.  These two commands do no harm but leaving unusable launchers in
user's menu do:

rm -f /home/*/.local/share/applications/%{name}.desktop
rm -f /root/.local/share/applications/%{name}.desktop
Comment 15 Martin-Gomez Pablo 2008-02-24 17:07:11 EST
Arlizo> Sorry, I've just forgotten to upload the right spec file, it's the
correct one now. I've also erased the for...done section.

Spec URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended.spec
SRPM URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended-0.7-3.fc8.src.rpm
Comment 16 Mamoru TASAKA 2008-02-26 10:42:31 EST
http://home.scarlet.be/~tsi30161/gnome-menu-extended-0.7-3.fc8.src.rpm

seems 404...
Comment 17 Martin-Gomez Pablo 2008-02-26 16:38:30 EST
Sorry, I've uploaded the noarch.rpm, it's fix now .
Comment 18 Mamoru TASAKA 2008-02-27 08:40:43 EST
Once I asked on Fedora Packaging Committee.
Comment 19 Mamoru TASAKA 2008-02-27 09:06:39 EST
As I expected, the current scriptlet is strongly rejected
by Fedora Packaging Committee:

https://www.redhat.com/archives/fedora-packaging/2008-February/msg00094.html
https://www.redhat.com/archives/fedora-packaging/2008-February/msg00095.html
Comment 20 Martin-Gomez Pablo 2008-02-29 18:41:55 EST
So what can we do ? Have we an other solution than use the previous method and
commit a RFE bug for redhat-menu ?
Comment 21 Mamoru TASAKA 2008-03-02 12:54:37 EST
IMO submitting a RFE is the best idea for now.
Comment 22 Ariszló 2008-03-03 12:20:33 EST
Since all the distributions that ship gnome-menu-extended (Arch Linux,
Gnome-Slacky) or a derivative of it (GNOME SlackBuild) revert to the
installation method of release 0.6.8 even in release 0.7, release 0.8 will
return to system-wide installation with a new menu entry in
System/Administration to replace/restore GNOME's Applications menu.  From a
user's perspective, the "Replace/Restore Applications Menu" script will be
similar to Ubuntu's gAlternatives but without a nice gui.
Comment 23 Martin-Gomez Pablo 2008-03-09 17:08:44 EDT
Arislo> So it's better to submitting a RFE now or wait for the 0.8 version ?

Mamoru> As I'm not used to submitting bugs, what I have to put on the RFE to
redhat-menus ? 
Comment 24 Mamoru TASAKA 2008-03-11 12:17:39 EDT
(In reply to comment #23)
> Mamoru> As I'm not used to submitting bugs, what I have to put on the RFE to
> redhat-menus ? 

Write a RFE for redhat-menus to add KDE submenus for GNOME desktop?
Comment 25 Martin-Gomez Pablo 2008-03-18 17:22:11 EDT
The link to the RFE bug : https://bugzilla.redhat.com/show_bug.cgi?id=438072
Comment 26 Ariszló 2008-03-28 12:11:57 EDT
Back to the beginning.  Almost.  Gnome Menu Extended 0.8 has just been released:
http://gtk-apps.org/content/show.php?content=73513

Since per-user modification of the menu did not work out as expected, Gnome Menu
Extended modifies the menu system-wide at install time and restores redhat-menus
at removal.


comment #1 still applies but...
> Moreover, as %{_sysconfdir}/xdg/menus/applications.menu is marked as
> %config (not %config(noreplace)) by redhat-menus, when redhat-menus is upgraded
> this file is overwritten (I think this behavior is correct), which means
> applications.menu installed by gnome-menu-extended will be deleted.

...now one can easily restore Gnome Menu Extended by running a script from
System/Administration/Gnome Menu Extended:
http://gtk-apps.org/CONTENT/content-pre3/73513-3.png
Comment 27 Martin-Gomez Pablo 2008-04-05 18:48:54 EDT
It's seems to be a kind of tummy, but I'll do a package soon.
Comment 28 Martin-Gomez Pablo 2008-04-06 17:59:01 EDT
The release 0.8 package is uploaded (I hope that this attempt will be the right) :

Spec URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended.spec
SRPM URL: http://home.scarlet.be/~tsi30161/gnome-menu-extended-0.8-2.fc8.src.rpm
Comment 29 Ariszló 2008-04-11 03:32:22 EDT
Gnome Menu Extended 0.8.1 has just been released with Pablo's improvements. The
Fedora spec is now split into fc9 for fc8. The menu layout for Fedora 8 (or
earlier) has a horizontal line after System Tools followed by Pirut, while the
menu layout for Fedora 9 does not.

Source:
http://www.gtk-apps.org/content/show.php?content=73513

Screenshots:
http://www.gtk-apps.org/CONTENT/content-pre1/78685-1.png
http://www.gtk-apps.org/CONTENT/content-pre2/78685-2.png
http://www.gtk-apps.org/CONTENT/content-pre3/78685-3.png

Comment 30 Jason Tibbitts 2009-07-11 03:46:51 EDT
This is a terribly ancient ticket.  I believe I tried once to get Gnome-knowledgeable people interested in looking at it, but I failed.  Still, it's worth asking:

What relevance does this have to F-11?

We never got an updated package with 0.8.1, which might explain part of why nobody ever took care of this review.  What's the current version?

Finally, is there still a reason to keep this ticket open?  Does Pablo still wish to get this package into Fedora?
Comment 31 Martin-Gomez Pablo 2009-07-11 09:12:12 EDT
(In reply to comment #30)
> What relevance does this have to F-11?
> 
> We never got an updated package with 0.8.1, which might explain part of why
> nobody ever took care of this review.  What's the current version?
> 
> Finally, is there still a reason to keep this ticket open?  Does Pablo still
> wish to get this package into Fedora?  

I dislike the current mechanism so I'm trying to redevelop the program using the 'OnlyShowIn' feature from freedesktop.org and the 'applications-merged' directory. My first attempt breaks KDE and I'm quite busy with the translation to correct now this bug.
So yes, I want to package this but rather in the medium terms. 

I think we can close this ticket and  I will reopen it (or create a new one) once I found a solution.

Note You need to log in before you can comment on or make changes to this bug.